:root
  --header-sublist-opacity 0
  --header-sublist-pointer-events none
  --header-sublist-transform translateY(calc(100% - 10px))
  --header-sublist-item-after-opacity 0
  --header-sublist-item-after-transition-duration var(--transition-duration-out)

.header-navigation
  +media-max(l)
    background-color #ffffff
  &__list
    justify-content center
    flex-wrap wrap
    +media-max(l)
      text-align center
    &--sub
      bottom 0
      left 0
      display flex
      flex-direction column
      min-width 16rem
      background-color var(--color-white)
      opacity var(--header-sublist-opacity)
      pointer-events var(--header-sublist-pointer-events)
      transition opacity var(--transition-duration-out), transform var(--transition-duration-out)
      box-shadow 0px 0px 10px rgba(53,82,122,0.28)
      transform var(--header-sublist-transform)
  &__item
    &--parent
      +hover()
        --header-sublist-opacity 1
        --header-sublist-pointer-events auto
        --header-sublist-transform translateY(100%)
        a
          color var(--color-mark-dark)
    &--active
      font-weight 500
      a
        color var(--color-mark-dark)
    a
      text-decoration none
    &--sub
      transition background-color var(--transition-duration-out)
      +hover()
        --header-sublist-item-after-opacity 1
        --header-sublist-item-after-transition-duration var(--transition-duration-in)
        background-color var(--color-background)
        transition-duration var(--transition-duration-in)
      a
        display flex
        align-items center
        column-gap 6px
        +after()
          display block
          width 12px
          height 12px
          background-color var(--color-mark-light)
          opacity var(--header-sublist-item-after-opacity)
          transition opacity var(--header-sublist-item-after-transition-duration)
          mask-image maskImage(header-arrow)
          mask-repeat no-repeat
          mask-position center
          mask-size cover
